xine-lib: vdpau_driver_t Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
vdpau_driver_t Struct Reference

## Data Fields
vo_driver_t | vo_driver
VdpDevice | vdp_device
VdpPresentationQueue | vdp_queue
VdpPresentationQueueTarget | vdp_queue_target
VdpGetProcAddress * | vdp_get_proc_address
union { |
void * funcs [46] |
struct { |
VdpPreemptionCallbackRegister * preemption_callback_register |
struct { |
VdpDeviceDestroy * destroy |
} device |
struct { |
VdpGetErrorString * error_string |
VdpGetApiVersion * api_version |
VdpGetInformationString * information_string |
} get |
struct { |
VdpVideoSurfaceQueryCapabilities * query_capabilities |
VdpVideoSurfaceQueryGetPutBitsYCbCrCapabilities * query_get_put_bits_ycbcr_capabilities |
VdpVideoSurfaceCreate * create |
VdpVideoSurfaceDestroy * destroy |
VdpVideoSurfacePutBitsYCbCr * putbits_ycbcr |
VdpVideoSurfaceGetBitsYCbCr * getbits_ycbcr |
VdpVideoSurfaceGetParameters * get_parameters |
} video_surface |
struct { |
VdpOutputSurfaceQueryCapabilities * query_capabilities |
VdpOutputSurfaceQueryGetPutBitsNativeCapabilities * query_get_put_bits_native_capabilities |
VdpOutputSurfaceQueryPutBitsYCbCrCapabilities * query_put_bits_ycbcr_capabilities |
VdpOutputSurfaceCreate * create |
VdpOutputSurfaceDestroy * destroy |
VdpOutputSurfaceRenderOutputSurface * render_output_surface |
VdpOutputSurfacePutBitsNative * put_bits |
VdpOutputSurfacePutBitsYCbCr * put_bits_ycbcr |
VdpOutputSurfaceGetBitsNative * get_bits |
} output_surface |
struct { |
VdpVideoMixerCreate * create |
VdpVideoMixerDestroy * destroy |
VdpVideoMixerRender * render |
VdpVideoMixerSetAttributeValues * set_attribute_values |
VdpVideoMixerSetFeatureEnables * set_feature_enables |
VdpVideoMixerGetFeatureEnables * get_feature_enables |
VdpVideoMixerQueryFeatureSupport * query_feature_support |
VdpVideoMixerQueryParameterSupport * query_parameter_support |
VdpVideoMixerQueryAttributeSupport * query_attribute_support |
VdpVideoMixerQueryParameterValueRange * query_parameter_value_range |
VdpVideoMixerQueryAttributeValueRange * query_attribute_value_range |
} video_mixer |
VdpGenerateCSCMatrix * generate_csc_matrix |
struct { |
VdpPresentationQueueTargetCreateX11 * target_create_x11 |
VdpPresentationQueueTargetDestroy * target_destroy |
VdpPresentationQueueCreate * create |
VdpPresentationQueueDestroy * destroy |
VdpPresentationQueueDisplay * display |
VdpPresentationQueueBlockUntilSurfaceIdle * block |
VdpPresentationQueueSetBackgroundColor * set_background_color |
VdpPresentationQueueGetTime * get_time |
VdpPresentationQueueQuerySurfaceStatus * query_surface_status |
} queue |
struct { |
VdpDecoderQueryCapabilities * query_capabilities |
VdpDecoderCreate * create |
VdpDecoderDestroy * destroy |
VdpDecoderRender * render |
} decoder |
} vdp |
} | a |
vo_scale_t | sc
Display * | display
int | screen
Drawable | drawable
pthread_mutex_t | drawable_lock
uint32_t | display_width
uint32_t | display_height
int | ovl_changed
int | num_ovls
int | old_num_ovls
vdpau_overlay_t | overlays [XINE_VORAW_MAX_OVL]
uint32_t * | ovl_pixmap
int | ovl_pixmap_size
VdpOutputSurface | ovl_layer_surface
VdpRect | ovl_src_rect
VdpRect | ovl_dest_rect
VdpRect | ovl_video_dest_rect
vdpau_output_surface_t | ovl_main_render_surface
vdpau_video_surface_t | soft_surface
int | soft_surface_format
vdpau_output_surface_t | output_surface_buffer [25]
int | output_surface_buffer_size
int | num_big_output_surfaces_created
pthread_mutex_t | os_mutex
vdpau_output_surface_t | output_surfaces [8]
uint8_t | init_queue
uint8_t | queue_user_length
uint8_t | queue_length
uint8_t | current_output_surface
vdpau_grab_video_frame_t * | pending_grab_request
pthread_mutex_t | grab_lock
pthread_cond_t | grab_cond
struct { |
VdpVideoMixer handle |
VdpChromaType chroma |
int layer_bug |
uint32_t width |
uint32_t height |
uint32_t max_width |
uint32_t max_height |
uint32_t max_layers [4] |
} | video_mixer |
const char * | deinterlacers_name [5+1]
int | deinterlacers_method [5]
int | scaling_level_max
int | scaling_level_current
VdpColor | back_color
vdpau_frame_t * | back_frame [1]
uint32_t | capabilities
uint32_t | features
xine_t * | xine
uint32_t | prop_changed
int | transform
int | hue
int | saturation
int | brightness
int | contrast
int | sharpness
int | noise
int | deinterlace
int | deinterlace_method_hd
int | deinterlace_method_sd
int | enable_inverse_telecine
int | honor_progressive
int | skip_chroma
int | sd_only_properties
int | background
int | vdp_runtime_nr
int | reinit_needed
int | surface_cleared_nr
int | allocated_surfaces
int | zoom_x
int | zoom_y
int | color_matrix
int | cm_state
uint8_t | cm_lut [32]

## Field Documentation

## ◆ [union]

union { ... } vdpau_driver_t::a

## ◆ allocated_surfaces

int vdpau_driver_t::allocated_surfaces

## ◆ api_version

VdpGetApiVersion* vdpau_driver_t::api_version

## ◆ back_color

VdpColor vdpau_driver_t::back_color

## ◆ back_frame

vdpau_frame_t* vdpau_driver_t::back_frame[1]

## ◆ background

int vdpau_driver_t::background

## ◆ block

VdpPresentationQueueBlockUntilSurfaceIdle* vdpau_driver_t::block

## ◆ brightness

int vdpau_driver_t::brightness

## ◆ capabilities

uint32_t vdpau_driver_t::capabilities

## ◆ chroma

VdpChromaType vdpau_driver_t::chroma

## ◆ cm_lut

uint8_t vdpau_driver_t::cm_lut[32]

## ◆ cm_state

int vdpau_driver_t::cm_state

## ◆ color_matrix

int vdpau_driver_t::color_matrix

## ◆ contrast

int vdpau_driver_t::contrast

## ◆ create [1/5]

VdpVideoSurfaceCreate* vdpau_driver_t::create

## ◆ create [2/5]

VdpOutputSurfaceCreate* vdpau_driver_t::create

## ◆ create [3/5]

VdpVideoMixerCreate* vdpau_driver_t::create

## ◆ create [4/5]

VdpPresentationQueueCreate* vdpau_driver_t::create

## ◆ create [5/5]

VdpDecoderCreate* vdpau_driver_t::create

## ◆ current_output_surface

uint8_t vdpau_driver_t::current_output_surface

## ◆ [struct]

struct { ... } vdpau_driver_t::decoder

## ◆ deinterlace

int vdpau_driver_t::deinterlace

## ◆ deinterlace_method_hd

int vdpau_driver_t::deinterlace_method_hd

## ◆ deinterlace_method_sd

int vdpau_driver_t::deinterlace_method_sd

## ◆ deinterlacers_method

int vdpau_driver_t::deinterlacers_method[5]

## ◆ deinterlacers_name

const char* vdpau_driver_t::deinterlacers_name[5+1]

## ◆ destroy [1/6]

VdpDeviceDestroy* vdpau_driver_t::destroy

## ◆ destroy [2/6]

VdpVideoSurfaceDestroy* vdpau_driver_t::destroy

## ◆ destroy [3/6]

VdpOutputSurfaceDestroy* vdpau_driver_t::destroy

## ◆ destroy [4/6]

VdpVideoMixerDestroy* vdpau_driver_t::destroy

## ◆ destroy [5/6]

VdpPresentationQueueDestroy* vdpau_driver_t::destroy

## ◆ destroy [6/6]

VdpDecoderDestroy* vdpau_driver_t::destroy

## ◆ [struct]

struct { ... } vdpau_driver_t::device

## ◆ display [1/2]

VdpPresentationQueueDisplay* vdpau_driver_t::display

## ◆ display [2/2]

Display* vdpau_driver_t::display

## ◆ display_height

uint32_t vdpau_driver_t::display_height

## ◆ display_width

uint32_t vdpau_driver_t::display_width

## ◆ drawable

Drawable vdpau_driver_t::drawable

## ◆ drawable_lock

pthread_mutex_t vdpau_driver_t::drawable_lock

## ◆ enable_inverse_telecine

int vdpau_driver_t::enable_inverse_telecine

## ◆ error_string

VdpGetErrorString* vdpau_driver_t::error_string

## ◆ features

uint32_t vdpau_driver_t::features

## ◆ funcs

void* vdpau_driver_t::funcs[46]

## ◆ generate_csc_matrix

VdpGenerateCSCMatrix* vdpau_driver_t::generate_csc_matrix

## ◆ [struct]

struct { ... } vdpau_driver_t::get

## ◆ get_bits

VdpOutputSurfaceGetBitsNative* vdpau_driver_t::get_bits

## ◆ get_feature_enables

VdpVideoMixerGetFeatureEnables* vdpau_driver_t::get_feature_enables

## ◆ get_parameters

VdpVideoSurfaceGetParameters* vdpau_driver_t::get_parameters

## ◆ get_time

VdpPresentationQueueGetTime* vdpau_driver_t::get_time

## ◆ getbits_ycbcr

VdpVideoSurfaceGetBitsYCbCr* vdpau_driver_t::getbits_ycbcr

## ◆ grab_cond

pthread_cond_t vdpau_driver_t::grab_cond

## ◆ grab_lock

pthread_mutex_t vdpau_driver_t::grab_lock

## ◆ handle

VdpVideoMixer vdpau_driver_t::handle

## ◆ height

uint32_t vdpau_driver_t::height

## ◆ honor_progressive

int vdpau_driver_t::honor_progressive

## ◆ hue

int vdpau_driver_t::hue

## ◆ information_string

VdpGetInformationString* vdpau_driver_t::information_string

## ◆ init_queue

uint8_t vdpau_driver_t::init_queue

## ◆ layer_bug

int vdpau_driver_t::layer_bug

Referenced by vdpau_set_layer_bug().

## ◆ max_height

uint32_t vdpau_driver_t::max_height

## ◆ max_layers

uint32_t vdpau_driver_t::max_layers[4]

## ◆ max_width

uint32_t vdpau_driver_t::max_width

## ◆ noise

int vdpau_driver_t::noise

## ◆ num_big_output_surfaces_created

int vdpau_driver_t::num_big_output_surfaces_created

## ◆ num_ovls

int vdpau_driver_t::num_ovls

## ◆ old_num_ovls

int vdpau_driver_t::old_num_ovls

## ◆ os_mutex

pthread_mutex_t vdpau_driver_t::os_mutex

## ◆ [struct]

struct { ... } vdpau_driver_t::output_surface

## ◆ output_surface_buffer

vdpau_output_surface_t vdpau_driver_t::output_surface_buffer[25]

## ◆ output_surface_buffer_size

int vdpau_driver_t::output_surface_buffer_size

## ◆ output_surfaces

vdpau_output_surface_t vdpau_driver_t::output_surfaces[8]

## ◆ overlays

vdpau_overlay_t vdpau_driver_t::overlays[XINE_VORAW_MAX_OVL]

## ◆ ovl_changed

int vdpau_driver_t::ovl_changed

## ◆ ovl_dest_rect

VdpRect vdpau_driver_t::ovl_dest_rect

## ◆ ovl_layer_surface

VdpOutputSurface vdpau_driver_t::ovl_layer_surface

## ◆ ovl_main_render_surface

vdpau_output_surface_t vdpau_driver_t::ovl_main_render_surface

## ◆ ovl_pixmap

uint32_t* vdpau_driver_t::ovl_pixmap

## ◆ ovl_pixmap_size

int vdpau_driver_t::ovl_pixmap_size

## ◆ ovl_src_rect

VdpRect vdpau_driver_t::ovl_src_rect

## ◆ ovl_video_dest_rect

VdpRect vdpau_driver_t::ovl_video_dest_rect

## ◆ pending_grab_request

vdpau_grab_video_frame_t* vdpau_driver_t::pending_grab_request

## ◆ preemption_callback_register

VdpPreemptionCallbackRegister* vdpau_driver_t::preemption_callback_register

## ◆ prop_changed

uint32_t vdpau_driver_t::prop_changed

## ◆ put_bits

VdpOutputSurfacePutBitsNative* vdpau_driver_t::put_bits

## ◆ put_bits_ycbcr

VdpOutputSurfacePutBitsYCbCr* vdpau_driver_t::put_bits_ycbcr

## ◆ putbits_ycbcr

VdpVideoSurfacePutBitsYCbCr* vdpau_driver_t::putbits_ycbcr

## ◆ query_attribute_support

VdpVideoMixerQueryAttributeSupport* vdpau_driver_t::query_attribute_support

## ◆ query_attribute_value_range

VdpVideoMixerQueryAttributeValueRange* vdpau_driver_t::query_attribute_value_range

## ◆ query_capabilities [1/3]

VdpVideoSurfaceQueryCapabilities* vdpau_driver_t::query_capabilities

## ◆ query_capabilities [2/3]

VdpOutputSurfaceQueryCapabilities* vdpau_driver_t::query_capabilities

## ◆ query_capabilities [3/3]

VdpDecoderQueryCapabilities* vdpau_driver_t::query_capabilities

## ◆ query_feature_support

VdpVideoMixerQueryFeatureSupport* vdpau_driver_t::query_feature_support

## ◆ query_get_put_bits_native_capabilities

VdpOutputSurfaceQueryGetPutBitsNativeCapabilities* vdpau_driver_t::query_get_put_bits_native_capabilities

## ◆ query_get_put_bits_ycbcr_capabilities

VdpVideoSurfaceQueryGetPutBitsYCbCrCapabilities* vdpau_driver_t::query_get_put_bits_ycbcr_capabilities

## ◆ query_parameter_support

VdpVideoMixerQueryParameterSupport* vdpau_driver_t::query_parameter_support

## ◆ query_parameter_value_range

VdpVideoMixerQueryParameterValueRange* vdpau_driver_t::query_parameter_value_range

## ◆ query_put_bits_ycbcr_capabilities

VdpOutputSurfaceQueryPutBitsYCbCrCapabilities* vdpau_driver_t::query_put_bits_ycbcr_capabilities

## ◆ query_surface_status

VdpPresentationQueueQuerySurfaceStatus* vdpau_driver_t::query_surface_status

## ◆ [struct]

struct { ... } vdpau_driver_t::queue

## ◆ queue_length

uint8_t vdpau_driver_t::queue_length

## ◆ queue_user_length

uint8_t vdpau_driver_t::queue_user_length

## ◆ reinit_needed

int vdpau_driver_t::reinit_needed

## ◆ render [1/2]

VdpVideoMixerRender* vdpau_driver_t::render

## ◆ render [2/2]

VdpDecoderRender* vdpau_driver_t::render

## ◆ render_output_surface

VdpOutputSurfaceRenderOutputSurface* vdpau_driver_t::render_output_surface

## ◆ saturation

int vdpau_driver_t::saturation

## ◆ sc

vo_scale_t vdpau_driver_t::sc

## ◆ scaling_level_current

int vdpau_driver_t::scaling_level_current

## ◆ scaling_level_max

int vdpau_driver_t::scaling_level_max

## ◆ screen

int vdpau_driver_t::screen

## ◆ sd_only_properties

int vdpau_driver_t::sd_only_properties

## ◆ set_attribute_values

VdpVideoMixerSetAttributeValues* vdpau_driver_t::set_attribute_values

## ◆ set_background_color

VdpPresentationQueueSetBackgroundColor* vdpau_driver_t::set_background_color

## ◆ set_feature_enables

VdpVideoMixerSetFeatureEnables* vdpau_driver_t::set_feature_enables

## ◆ sharpness

int vdpau_driver_t::sharpness

## ◆ skip_chroma

int vdpau_driver_t::skip_chroma

## ◆ soft_surface

vdpau_video_surface_t vdpau_driver_t::soft_surface

## ◆ soft_surface_format

int vdpau_driver_t::soft_surface_format

## ◆ surface_cleared_nr

int vdpau_driver_t::surface_cleared_nr

## ◆ target_create_x11

VdpPresentationQueueTargetCreateX11* vdpau_driver_t::target_create_x11

## ◆ target_destroy

VdpPresentationQueueTargetDestroy* vdpau_driver_t::target_destroy

## ◆ transform

int vdpau_driver_t::transform

## ◆ [struct]

struct { ... } vdpau_driver_t::vdp

## ◆ vdp_device

VdpDevice vdpau_driver_t::vdp_device

## ◆ vdp_get_proc_address

VdpGetProcAddress* vdpau_driver_t::vdp_get_proc_address

## ◆ vdp_queue

VdpPresentationQueue vdpau_driver_t::vdp_queue

## ◆ vdp_queue_target

VdpPresentationQueueTarget vdpau_driver_t::vdp_queue_target

## ◆ vdp_runtime_nr

int vdpau_driver_t::vdp_runtime_nr

## ◆ [struct] [1/2]

struct { ... } vdpau_driver_t::video_mixer

## ◆ [struct] [2/2]

struct { ... } vdpau_driver_t::video_mixer

## ◆ [struct]

struct { ... } vdpau_driver_t::video_surface

## ◆ vo_driver

vo_driver_t vdpau_driver_t::vo_driver

## ◆ width

uint32_t vdpau_driver_t::width

## ◆ xine

xine_t* vdpau_driver_t::xine

## ◆ zoom_x

int vdpau_driver_t::zoom_x

## ◆ zoom_y

int vdpau_driver_t::zoom_y

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/video_out/video_out_vdpau.c